org.gradle.api

## Interface ActionConfiguration

- All Known Subinterfaces:
    WorkerConfiguration

      @Incubating
      public interface ActionConfiguration

  Allows specification of configuration for some action.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object[]` | `getParams()` Gets the initialization parameters that will be used when constructing an instance of the implementation class.
    `void` | `params(Object... params)` Adds initialization parameters to use when constructing an instance of the implementation class.
    `void` | `setParams(Object... params)` Sets any initialization parameters to use when constructing an instance of the implementation class.

- - ### Method Detail

    - #### params

          void params(Object... params)

      Adds initialization parameters to use when constructing an instance of the implementation class.
      Parameters:
        `params` - - the parameters to use during construction

    - #### setParams

          void setParams(Object... params)

      Sets any initialization parameters to use when constructing an instance of the implementation class.
      Parameters:
        `params` - - the parameters to use during construction

    - #### getParams

          Object[] getParams()

      Gets the initialization parameters that will be used when constructing an instance of the implementation class.
      Returns:
        the parameters to use during construction